ghc-lib-parser-9.10.1.20250103: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Platform.Profile

Description

Platform profiles

Synopsis

- data Profile = Profile {
  - profilePlatform :: !Platform
  - profileWays :: !Ways
  }
- profileBuildTag :: Profile -> String
- profileConstants :: Profile -> PlatformConstants
- profileIsProfiling :: Profile -> Bool
- profileWordSizeInBytes :: Profile -> Int

# Documentation

data Profile #

A platform profile fully describes the kind of objects that are generated for a platform.

`Platform` doesn't fully describe the ABI of an object. Compiler ways (profiling, debug, dynamic) also modify the ABI.

Constructors

Profile |

Fields

- profilePlatform :: !Platform

  Platform

- profileWays :: !Ways

  Ways

#### Instances

Instances details

Read Profile # |
Instance details Defined in GHC.Platform.Profile Methods readsPrec :: Int -> ReadS Profile # readList :: ReadS [Profile] # readPrec :: ReadPrec Profile # readListPrec :: ReadPrec [Profile] #
Show Profile # |
Instance details Defined in GHC.Platform.Profile Methods showsPrec :: Int -> Profile -> ShowS # show :: Profile -> String # showList :: [Profile] -> ShowS #
Eq Profile # |
Instance details Defined in GHC.Platform.Profile Methods (==) :: Profile -> Profile -> Bool # (/=) :: Profile -> Profile -> Bool #
Ord Profile # |
Instance details Defined in GHC.Platform.Profile Methods compare :: Profile -> Profile -> Ordering # (<) :: Profile -> Profile -> Bool # (<=) :: Profile -> Profile -> Bool # (>) :: Profile -> Profile -> Bool # (>=) :: Profile -> Profile -> Bool # max :: Profile -> Profile -> Profile # min :: Profile -> Profile -> Profile #

profileBuildTag :: Profile -> String #

Unique build tag for the profile

profileConstants :: Profile -> PlatformConstants #

Get platform constants

profileIsProfiling :: Profile -> Bool #

Is profiling enabled

profileWordSizeInBytes :: Profile -> Int #

Word size in bytes